//
// Simple Mesh Class
//
// 
// Note: Each triangle is defined by the indices of 3 vertices

class CMesh
{
public:
	CMesh();
	~CMesh();
	void Load( char *sFilename );
	void Render( class CRenderer *pRender );
	
	int CheckLine( const CVec3 &LP1, const CVec3 &LP2 );

private:
	// Data	
	int m_nbVerts, m_nbTris;
	CVec3 *m_pVerts;
	unsigned int *m_pTris;
};